System.Web 2.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Property)

The class allows you to mark a template property as one that allows single or multiple instantiations. A template that only allows a single instantiation can have the controls that are contained inside of it referenced. The property is an example of a property that can be instantiated only one time.

This class is optional. If a template property is not extended with a class, the default value, the field, is used. For more information about using attributes, see Extending Metadata Using Attributes.

Defines a metadata attribute that is used to specify the number of allowed instances of a template. This class cannot be inherited.

- Constructor
  To be added.
  To be added.

  Initializes a new instance of the class with the specified enumeration value.

  2.0.0.0
- Field
  System.Web.UI.TemplateInstanceAttribute

  The default behavior is to create multiple instances of the template using the enumeration value.

  Defines the default value for the class. This field is read-only.

  2.0.0.0
- Method
  System.Boolean `` To be added.

  Indicates whether the specified object is a object and is identical to the this object.

  true if value is both a object and is identical to the this object; otherwise false.

  The to test. 2.0.0.0
- Method
  System.Int32 To be added.

  Gets a hash code for this object.

  The hash code for this object.

  2.0.0.0
- Property
  System.Web.UI.TemplateInstance To be added.

  The possible values are either the field or the field.

  Gets the enumeration value that the current template instance represents.

  2.0.0.0
- Method
  System.Boolean

  The default value for the class is the field.

  Returns a value indicating if the current object is the same as the default object.

  true if the value of the current instance of is the default; otherwise, false.

  2.0.0.0
- Field
  System.Web.UI.TemplateInstanceAttribute

  If the field is accessed, a new template instance is instantiated multiple times.

  Creates an instance of the class as one representing a template that will be instantiated multiple times. This field is read-only.

  2.0.0.0
- Field
  System.Web.UI.TemplateInstanceAttribute

  If the field is accessed, a new template instance is instantiated a single time.

  Creates an instance of the class as one representing a template that will be instantiated a single time. This field is read-only.

  2.0.0.0